CDEntryHome

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## freedb
Interface CDEntryHome

public interface CDEntryHome

Description of the Interface

Author:
  Diana Abbas

Method Summary
`CDEntryRemote` | `create(java.lang.String id, java.lang.String title, java.lang.String year, java.lang.String genre, java.lang.String extendedData)` Description of the Method
`java.util.Enumeration` | `findByCDID(java.lang.String cdid)` Description of the Method
`CDEntryRemote` | `findbyPrimaryKey(java.lang.Integer pk)` Description of the Method

Method Detail

### create

    public CDEntryRemote create(java.lang.String id,
                                java.lang.String title,
                                java.lang.String year,
                                java.lang.String genre,
                                java.lang.String extendedData)
                         throws javax.ejb.CreateException,
                                java.rmi.RemoteException

  Description of the Method

  Parameters:
    `id` - Description of Parameter
    `title` - Description of Parameter
    `year` - Description of Parameter
    `genre` - Description of Parameter
    `extendedData` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.rmi.RemoteException` - Description of Exception
    `javax.ejb.CreateException` - Description of Exception
  Since:
    empty

### findbyPrimaryKey

    public CDEntryRemote findbyPrimaryKey(java.lang.Integer pk)
                                   throws javax.ejb.FinderException,
                                          java.rmi.RemoteException

  Description of the Method

  Parameters:
    `pk` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.rmi.RemoteException` - Description of Exception
    `javax.ejb.FinderException` - Description of Exception
  Since:
    empty

### findByCDID

    public java.util.Enumeration findByCDID(java.lang.String cdid)
                                     throws javax.ejb.FinderException,
                                            java.rmi.RemoteException

  Description of the Method

  Parameters:
    `cdid` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `java.rmi.RemoteException` - Description of Exception
    `javax.ejb.FinderException` - Description of Exception
  Since:
    empty

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD